<?php
require('GIFEncoder.php');
require('ZXGFX-0.4.php');

if (!empty($_FILES)) {

	// Считываем загруженный файл.
	$tempFile = urldecode($_FILES['src_file']['tmp_name']);
	$handle = @fopen($tempFile, "r") or exit;
	$src_data = fread($handle, filesize($tempFile));
	fclose($handle);	

	// Инициализация класса.
	if (!$ZXGFX = new ZXGFX()) exit('Unable to unit ZXGFX instance');
		
	// Установка опций. Корректность значений проверяется при установке.
	$ZXGFX->setOutputType($_POST['output_type']);
	$ZXGFX->setOutputScale($_POST['output_scale']);
	$ZXGFX->setPalette($_POST['palette']);
	$ZXGFX->setBorder($_POST['border']);
	$ZXGFX->setBorderColor($_POST['border_color']);

	if (isset($_POST['show_hidden_pixels'])) {
		$ZXGFX->setOption('showHiddenPixels', true);
	}

	// Загружаем в конвертер загруженный файл
	// Функция возвращает тип загруженного файла или false:
	// 	'screen', 'bw-screen', 'gigascreen', 'mgs'.
	if (!$type = $ZXGFX->loadData($src_data)) exit('Incorrect uploaded file.');
	
	if (isset($_POST['show'])) {
		// Выводим сконвертированное изображение на экран.
		$ZXGFX->show();
	}
	elseif (isset($_POST['download'])) {
		// Скачивание сконвертированного файла
		// Параметром вызова функции можно указать имя скачиваемого файла без расширения
		$ZXGFX->download();
	}
	
/*
	Так же можно сохранить сконвертированный файл.
	$path - полный путь к сохраняемому файлу.
	$ZXGFX->save($path);
*/	
	
	
	echo $data;
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru" lang="ru">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="language" content="ru" />
<title>GFX converter</title>
<style>
	BODY { background: #ffffff; margin: 0; padding: 1em 2em; color: #222; }
	BODY, P { font: 10px Verdana, Geneva, sans-serif; }
	FORM { margin: 0; padding: 0; width: 512px; }
	FORM input { padding: 2px 5px 4px 5px; }
	FORM fieldset { border: 1px solid #005dab; padding: 10px; margin: 0; }
	FORM fieldset legend { font-weight: bold; color: #005dab; *margin-bottom: 10px; }
	FORM label { display: block; float: left; width: 128px; padding: 3px 5px 3px 0; margin: 0; text-align: right; }
	FORM .delimiter { clear: both; padding-bottom: 1em; }
</style>
</head><body>
	
<form method="POST" enctype="multipart/form-data"><fieldset>
	<legend>Speccy GFX converter</legend>
	
	<label for="file">Select file</label>
	<input type="file" name="src_file" />
	<div class="delimiter"></div>
	
	<label for="output_scale">Output scale</label>
	<input type="radio" checked name="output_scale" value="1"/> 1x
	<input type="radio" name="output_scale" value="2"/> 2x
	<input type="radio" name="output_scale" value="3"/> 3x
	<input type="radio" name="output_scale" value="0.5"/> 0.5x
	<div class="delimiter"></div>

	
	<label for="output_type">Output type</label>
	<input type="radio" checked name="output_type" value="png"/> PNG
	<input type="radio" name="output_type" value="gif"/> GIF
	<div class="delimiter"></div>
	
	<label for="palette">Palette</label>
	<select name="palette">
		<option value="pulsar">pulsar</option>
		<option value="alone">alone</option>
		<option value="orthodox">orthodox</option>
		<option value="Mars">Mars</option>
		<option value="Ocean">Ocean</option>
		<option value="Grey">Grey</option>		
	</select>
	<div class="delimiter"></div>
		
	<label for="border">Border</label>
	<select name="border">
		<option value="none">none</option>
		<option value="small" SELECTED>small</option>
		<option value="complete">complete</option>		
	</select>
	<select name="border_color">
		<option value="0" style="background-color: #000000;">black</option>
		<option value="1" style="background-color: #0000cc;">blue</option>
		<option value="2" style="background-color: #cc0000;">red</option>
		<option value="3" style="background-color: #cc00cc;">magenta</option>
		<option value="4" style="background-color: #00cc00;">green</option>
		<option value="5" style="background-color: #00cccc;">cyan</option>
		<option value="6" style="background-color: #cccc00;">yellow</option>
		<option value="7" style="background-color: #cccccc;">white</option>
	</select>
	<div class="delimiter"></div>
	
	<label for="show_hidden_pixels"></label>
	<input type="checkbox" name="show_hidden_pixels"/> Show hidden pixels (INK=PAPER) as transparent.
	<div class="delimiter"></div>

	<label>&nbsp;</label>
	<input type="submit" name="show" value="Convert & show" />
	<input type="submit" name="download" value="Convert & download" />
</fieldset></form>

<p>&copy;2008-2009, Andrew <a href="http://nyuk.retropc.ru">nyuk</a> Marinow, Perspective group.</p>

</body></html>